HW Acceleration Working
#1
Hey Guys

I need some help getting the HW acceleration working on the Pine64. Any and all guidance would'd be much appreciated. Thanks !
  Reply
#2
(04-06-2016, 07:29 PM)Luke Wrote: Hey Guys

I need some help getting the HW acceleration working on the Pine64. Any and all guidance would'd be much appreciated. Thanks !

You can check out on Sunxi. http://linux-sunxi.org
  Reply
#3
Hey tllim it looks like we need the mali linux binary to get some 2d/3d acceleration working. It looks like it was not packaged in the BSP kit (3.10.65 kernel or 3.4). Any chance you can get a copy of the mali binaries so we can acceleration working.

Please and thanks.
If you like my work be sure to check out my site or wish to donate to the cause

Cheers Big Grin
  Reply
#4
(04-06-2016, 07:29 PM)Luke Wrote: Hey Guys

I need some help getting the HW acceleration working on the Pine64. Any and all guidance would'd be much appreciated. Thanks !

Try https://github.com/ssvb/xf86-video-fbturbo  instructions included
  Reply
#5
I have binaries for Ubuntu of xf86-video-fbturbo in a PPA at https://launchpad.net/~longsleep/+archiv...our-makers - the ppa is added by default with my Xenial image.
  Reply
#6
Can we use GLES with this? It seems it is still using MESA Software rendering drivers after installing this.
If libMali for arm64 is not available, http://limadriver.org a solution, maybe?
  Reply
#7
I was able to compile the Mali-Fbdev drive from the ARM Mali website. Now I'm downloading the kernel source so I can compile the mali_drm kernel module, not included with xenial. I will try the libmali.so binaries for arm64 also available from the ARM Mali website.

Some progress:

Code:
X.Org X Server 1.18.3
Release Date: 2016-04-04
[  9223.728] X Protocol Version 11, Revision 0
[  9223.728] Build Operating System: Linux 4.2.0-34-generic aarch64 Ubuntu
[  9223.728] Current Operating System: Linux localhost.localdomain 3.10.65-4-pine64-longsleep #16 SMP PREEMPT Sun Apr 3 10:56:40 CEST 2016 aarch64
[  9223.729] Kernel command line: console=tty0 console=ttyS0,115200n8 no_console_suspend earlycon=uart,mmio32,0x01c28000 mac_addr=a6:f4:ed:cc:2f:50 root=/dev/mmcblk0p2 ro rootwait
[  9223.729] Build Date: 07 April 2016  09:19:04AM
[  9223.729] xorg-server 2:1.18.3-1ubuntu2 (For technical support please see http://www.ubuntu.com/support)
[  9223.729] Current version of pixman: 0.33.6
[  9223.729] Before reporting problems, check http://wiki.x.org
to make sure that you have the latest version.
[  9223.729] Markers: (--) probed, (**) from config file, (==) default setting,
(++) from command line, (!!) notice, (II) informational,
(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[  9223.730] (==) Log file: "/var/log/Xorg.0.log", Time: Wed Apr 20 03:18:35 2016
[  9223.731] (==) Using config file: "/etc/X11/xorg.conf"
[  9223.731] (==) Using system config directory "/usr/share/X11/xorg.conf.d"
[  9223.732] (==) No Layout section.  Using the first Screen section.
[  9223.732] (**) |-->Screen "Mali-Screen" (0)
[  9223.732] (**) |   |-->Monitor "<default monitor>"
[  9223.733] (**) |   |-->Device "Mali-Fbdev"
[  9223.733] (==) No monitor specified for screen "Mali-Screen".
Using a default monitor configuration.
[  9223.733] (==) Automatically adding devices
[  9223.733] (==) Automatically enabling devices
[  9223.733] (==) Automatically adding GPU devices
[  9223.733] (==) Max clients allowed: 256, resource mask: 0x1fffff
[  9223.733] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
[  9223.733] Entry deleted from font path.
[  9223.733] (WW) The directory "/usr/share/fonts/X11/100dpi/" does not exist.
[  9223.733] Entry deleted from font path.
[  9223.733] (WW) The directory "/usr/share/fonts/X11/75dpi/" does not exist.
[  9223.733] Entry deleted from font path.
[  9223.734] (WW) The directory "/usr/share/fonts/X11/100dpi" does not exist.
[  9223.734] Entry deleted from font path.
[  9223.734] (WW) The directory "/usr/share/fonts/X11/75dpi" does not exist.
[  9223.734] Entry deleted from font path.
[  9223.734] (==) FontPath set to:
/usr/share/fonts/X11/misc,
/usr/share/fonts/X11/Type1,
built-ins
[  9223.734] (==) ModulePath set to "/usr/lib/aarch64-linux-gnu/xorg/extra-modules,/usr/lib/xorg/extra-modules,/usr/lib/xorg/modules"
[  9223.734] (II) The server relies on udev to provide the list of input devices.
If no devices become available, reconfigure udev or disable AutoAddDevices.
[  9223.734] (II) Loader magic: 0x556fbfcd68
[  9223.734] (II) Module ABI versions:
[  9223.734] X.Org ANSI C Emulation: 0.4
[  9223.734] X.Org Video Driver: 20.0
[  9223.734] X.Org XInput driver : 22.1
[  9223.734] X.Org Server Extension : 9.0
[  9223.738] (--) using VT number 2

[  9223.738] (II) systemd-logind: logind integration requires -keeptty and -keeptty was not provided, disabling logind integration
[  9223.738] (II) no primary bus or device found
[  9223.738] (II) LoadModule: "glx"
[  9223.740] (II) Loading /usr/lib/xorg/modules/extensions/libglx.so
[  9223.745] (II) Module glx: vendor="X.Org Foundation"
[  9223.745] compiled for 1.18.3, module version = 1.0.0
[  9223.746] ABI class: X.Org Server Extension, version 9.0
[  9223.746] (==) AIGLX enabled
[  9223.746] (II) LoadModule: "mali"
[  9223.748] (II) Loading /usr/lib/xorg/modules/drivers/mali_drv.so
[  9223.748] (II) Module mali: vendor="X.Org Foundation"
[  9223.748] compiled for 1.18.3, module version = 0.4.2
[  9223.748] ABI class: X.Org Video Driver, version 20.0
[  9223.748] (II) MALI: driver for Mali Framebuffer: mali
[  9223.786] (WW) Falling back to old probe method for mali
[  9223.787] (II) MALI(0): using /dev/fb0
[  9223.787] (WW) VGA arbiter: cannot open kernel arbiter, no multi-card support
[  9223.787] (II) MALI(0): [MaliPreInit:1046]: Entering
[  9223.787] (II) MALI(0): [MaliGetRec:179]: Entering
[  9223.787] (II) MALI(0): [MaliHWInit:829]: Entering
[  9223.787] (II) MALI(0): [MaliHWGetDepth:861]: Entering
[  9223.787] (II) MALI(0): Creating default Display subsection in Screen section
"Mali-Screen" for depth/fbbpp 24/32
[  9223.787] (**) MALI(0): Depth 24, (--) framebuffer bpp 32
[  9223.787] (==) MALI(0): RGB weight 888
[  9223.787] (==) MALI(0): Default visual is TrueColor
[  9223.787] (==) MALI(0): Using gamma correction (1.0, 1.0, 1.0)
[  9223.787] (II) MALI(0): [MaliHWGetVidmem:879]: Entering
[  9223.787] (II) MALI(0): [MaliHWGetName:887]: Entering
[  9223.787] (II) MALI(0): hardware:  (video memory: 16200kB)
[  9223.788] (**) MALI(0): Option "DRI2" "true"
[  9223.788] (**) MALI(0): Option "DRI2_PAGE_FLIP" "true"
[  9223.788] (**) MALI(0): Option "DRI2_WAIT_VSYNC" "true"
[  9223.788] (**) MALI(0): Option "UMP_CACHED" "false"
[  9223.788] (**) MALI(0): Option "UMP_LOCK" "false"
[  9223.788] (**) MALI(0): DRI Fullscreen page flip enabled
[  9223.788] (**) MALI(0): DRI Fullscreen page flip VSYNC'd
[  9223.788] (**) MALI(0): Use uncached UMP memory
[  9223.788] (**) MALI(0): Don't use umplock across processes
[  9223.889] (EE) MALI(0): [mali_drm_open_master:1015] Error: mali_drm_open_master Unable to open DRM: No such file or directory

[  9223.889] (EE) MALI(0): [MaliPreInit:1148] Error: Failed to be master of DRM!
[  9223.890] (II) UnloadModule: "mali"
[  9223.890] (EE) Screen(s) found, but none have a usable configuration.
[  9223.890] (EE)
Fatal server error:
[  9223.890] (EE) no screens found(EE)
[  9223.890] (EE)
Please consult the The X.Org Foundation support
at http://wiki.x.org
for help.
[  9223.891] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information.
[  9223.891] (EE)
[  9223.998] (EE) Server terminated with error (1). Closing log file.

Any recommendations?
  Reply
#8
Damn, Mali DRM module is incompatible with 3.x kernels

https://community.arm.com/thread/4029

Just tried to compile it and found several symbols not available anymore. This may need some development. Sad
  Reply
#9
Yes that's why it is not built in my kernel :-)
  Reply
#10
(04-20-2016, 05:06 AM)longsleep Wrote: Yes that's why it is not built in my kernel :-)

I've just found someone that updated mali_drm to work with the new drm kernel functions (for kernel 3.x)

https://github.com/loboris/OrangePI-Kern...dules/mali

It compiles just fine using your kernel source (3.10.65). But I cannot insert the module, maybe something I'm missing:

insmod: ERROR: could not insert module mali_drm.ko: Invalid module format

Ok, i'm having some problems with the magicversion (somehow it added a plus sign after the extra version), forcing is not working either, I will check this later.
  Reply


Possibly Related Threads...
Thread Author Replies Views Last Post
  Brand New LCD not working adamjedgar 3 633 03-11-2017, 12:20 AM
Last Post: simplexdan
  Pine64+: 3 working, 1 shows nothing on tv zumtra 1 664 07-30-2016, 05:47 PM
Last Post: tllim

Forum Jump:


Users browsing this thread: 1 Guest(s)